Summary:   A software center for GNOME
Name:      gnome-software
Version:   3.10.4
Release:   2%{?dist}
License:   GPLv2+
Group:     Applications/System
URL:       https://wiki.gnome.org/Apps/Software
Source0:   http://download.gnome.org/sources/gnome-software/3.9/%{name}-%{version}.tar.xz
Source1:   http://people.freedesktop.org/~hughsient/temp/fedora-20.xml.gz
Source2:   http://people.freedesktop.org/~hughsient/temp/fedora-20-icons.tar.gz

Patch5:    0001-Avoid-adding-pending-apps-more-than-once-to-the-inst.patch
Patch6:    0001-Call-the-GsPluginLoaderFinishedFunc-in-the-main-thre.patch
Requires:  gnome-icon-theme

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel >= 2.25.9-2
BuildRequires: gtk3-devel >= 3.9.12
BuildRequires: libnotify-devel
BuildRequires: PackageKit-glib-devel >= 0.8.10

%description
gnome-software is an application that makes it easy to add, remove
and update software in the GNOME desktop.

%prep
%setup -q
%patch5 -p1 -b .visual
%patch6 -p1 -b .crash

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%__rm %{buildroot}%{_libdir}/gs-plugins/*.a
%__rm %{buildroot}%{_libdir}/gs-plugins/*.la

# install AppStream data for Fedora
%__mkdir_p %{buildroot}%{_datadir}/app-info/xmls
%__cp %{SOURCE1} %{buildroot}%{_datadir}/app-info/xmls

# decompress and install AppStream icons
%__mkdir_p %{buildroot}%{_datadir}/app-info/icons
cd %{buildroot}%{_datadir}/app-info/icons
%__tar xvzf %{SOURCE2}
cd -

%find_lang %name --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gnome-software.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/gnome-software
%{_datadir}/applications/gnome-software.desktop
%dir %{_datadir}/gnome-software
%{_datadir}/gnome-software/*.png
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/app-info/xmls/*.gz
%{_datadir}/app-info/icons/*.png
%{_mandir}/man1/gnome-software.1.gz
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome-software/featured.ini
%dir %{_libdir}/gs-plugins
%{_libdir}/gs-plugins/*.so

%changelog
* Tue Jan 07 2014 Richard Hughes <rhughes@redhat.com> - 3.10.4-2
- Backport two patches from master to avoid a visual glitch and possible crash
  when installing or removing.
- Resolves: #1044237

* Mon Nov 25 2013 Richard Hughes <rhughes@redhat.com> - 3.10.4-1
- Update to 3.10.4

* Mon Oct 28 2013 Richard Hughes <rhughes@redhat.com> - 3.10.3-1
- Update to 3.10.3
- Do not fail to get the updates if getting the history fails
- Do not fail to parse if the metadata contains unknown tags
- Do not show a warning for metadata with icon type 'remote'
- Ignore multiple pkgname tags in AppStream metadata
- Match the AppStream ID when searching
- Never show the 'Remove' buttons in the update panel

* Fri Oct 18 2013 Richard Hughes <rhughes@redhat.com> - 3.10.2-1
- Update to 3.10.2
- Do not crash if the AppData metadata does not have <pkgname>
- Don't emit a critical warning if there are no AppStream icons
- Do not use the package icon when referring to software
- Set a cache age when using PackageKit

* Mon Oct 14 2013 Richard Hughes <rhughes@redhat.com> - 3.10.1-1
- Update to 3.10.1

* Wed Sep 25 2013 Richard Hughes <richard@hughsie.com> 3.10.0-1
- New upstream release.
- New metadata for fedora, updates and updates-testing
- Add a plugin to query the PackageKit prepared-update file directly
- Do not clear the offline-update trigger if rebooting succeeded
- Do not load incompatible projects when parsing AppStream data
- Lots of updated translations
- Show the window right away when starting

* Tue Sep 17 2013 Richard Hughes <rhughes@redhat.com> - 3.9.3-2
- Grab a patch from upstream so that the offline updates feature can
  actually work when reboot returns with success.

* Fri Sep 13 2013 Richard Hughes <richard@hughsie.com> 3.9.3-1
- New upstream release.
- Lots of new and fixed UI and updated metadata for Fedora 20

* Tue Sep 03 2013 Richard Hughes <richard@hughsie.com> 3.9.2-1
- New upstream release.
- Allow stock items in the AppStream XML
- Extract the AppStream URL and description from the XML
- Only present the window when the overview is complete
- Return the subcategories sorted by name

* Mon Sep 02 2013 Richard Hughes <richard@hughsie.com> 3.9.1-1
- New upstream release which is a technical preview for the alpha.

* Sun Sep 01 2013 Richard Hughes <richard@hughsie.com> 0.1-3
- Use buildroot not RPM_BUILD_ROOT
- Own all gnome-software directories
- Drop gtk-update-icon-cache requires and the mime database functionality

* Thu Aug 29 2013 Richard Hughes <richard@hughsie.com> 0.1-2
- Add call to desktop-file-validate and fix other review comments.

* Wed Aug 28 2013 Richard Hughes <richard@hughsie.com> 0.1-1
- First release for Fedora package review

